Page MenuHomePhabricator

Support 2FA in Wikipedia Mobile applications
Open, Needs TriagePublic

Description

More and more users are going to be using 2FA, and the mobile apps are going to need to support it :)

Related Objects

Event Timeline

Reedy created this task.Nov 16 2016, 9:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2016, 9:33 PM
Reedy added a comment.Nov 16 2016, 9:45 PM

Seems on Android, this just silently fails; press login, and it tries and doesn't go any further. No error, no feedback

whym added a subscriber: whym.Jan 8 2017, 4:52 AM

Commons App for Android also needs to implement this: https://github.com/commons-app/apps-android-commons/issues/328

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 25 2017, 5:43 PM
Stryn added a subscriber: Stryn.Feb 4 2018, 3:01 PM

Has work on this been abandoned? In the mobile app, a message asking for the 2FA code is delivered, but there is no input box.

Reedy added a comment.Nov 1 2019, 1:10 PM

Has work on this been abandoned? In the mobile app, a message asking for the 2FA code is delivered, but there is no input box.

iOS seems fine

Android v2.7.50300-r-2019-10-08

Xaosflux added a comment.EditedNov 1 2019, 3:21 PM

@Reedy Thank you for the note but "Fix in alpha" seems far from actually resolving this production issue is there a task to "Release to production" that can be followed?

Maybe @Dbrant or @Charlotte can comment on this?

Xaosflux added a subscriber: Dbrant.Nov 1 2019, 3:32 PM
Reedy added a comment.Nov 1 2019, 5:32 PM

@Reedy Thank you for the note but "Fix in alpha" seems far from actually resolving this production issue is there a task to "Release to production" that can be followed?
Maybe @Dbrant or @Charlotte can comment on this?

Based on the comments on the other two tasks... There seems to be some confusion

The necessary fix is https://github.com/wikimedia/apps-android-wikipedia/commit/361e389dfd62cc65cf40e5e13b13289c6b51ed89 which is for sure not in a release. I don't know offhand how they track the next release and when it's coming. @Charlotte should know

Thanks Reedy, @Charlotte is there a publicly visible log of current known bugs - the phab bug is closed as new software was written - but there is still a production outage ongoing as it hasn't been released.

Stryn removed a subscriber: Stryn.Nov 1 2019, 7:04 PM

Thanks for the comment @Xaosflux - apologies for the confusion. As @Dbrant mentioned in T227925 this was a regression on work that had already been released, which seems to have happened when we did a cherry-picked release a week or so ago. You can always find the latest bugs we're working on in our Milestone boards. The current milestone is N: https://phabricator.wikimedia.org/project/view/4123/

As for a public backlog of bugs that have not yet been allocated to a particular release, those live in the Bug Backlog column of our main workboard.